CombiningResourceIterator (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers.collection

## Class CombiningResourceIterator<T>

- java.lang.Object
- - org.neo4j.helpers.collection.PrefetchingIterator<T>
  - - org.neo4j.helpers.collection.CombiningIterator<T>
    - - org.neo4j.helpers.collection.CombiningResourceIterator<T>

- All Implemented Interfaces:
    AutoCloseable, Iterator<T>, Resource, ResourceIterator<T>

      public class CombiningResourceIterator<T>
      extends CombiningIterator<T>
      implements ResourceIterator<T>

- - ### Field Summary

    - ### Fields inherited from interface org.neo4j.graphdb.Resource

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombiningResourceIterator(Iterator<ResourceIterator<T>> iterators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the iterator early, freeing associated resources It is an error to use the iterator after this has been called.

    - ### Methods inherited from class org.neo4j.helpers.collection.PrefetchingIterator

      `hasNext, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### CombiningResourceIterator

          public CombiningResourceIterator(Iterator<ResourceIterator<T>> iterators)

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `ResourceIterator`
      Close the iterator early, freeing associated resources It is an error to use the iterator after this has been called.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Resource`
      Specified by:
        `close` in interface `ResourceIterator<T>`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.